# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

# ----------------------------------------------------------------------------
# If you submit this package back to Spack as a pull request,
# please first remove this boilerplate and all FIXME comments.
#
# This is a template package file for Spack.  We've put "FIXME"
# next to all the things you'll want to change. Once you've handled
# them, you can save this file and test your package like this:
#
#     spack install py-nesteddict
#
# You can edit this file again by typing:
#
#     spack edit py-nesteddict
#
# See the Spack documentation for more information on packaging.
# ----------------------------------------------------------------------------

from spack import *


class PyNesteddict(PythonPackage):
    """A Python class that subclasses dict to allow dicts that allow dotted key
    access e.g, dict["a.b.c']=7"""

    homepage = "https://github.com/jdrumgoole/nesteddict"
    pypi     = "nesteddict/nesteddict-0.1.3.tar.gz"

    # FIXME: Add a list of GitHub accounts to
    # notify when the package is updated.
    # maintainers = ['github_user1', 'github_user2']

    version('0.1.3', sha256='07e5f59684df992559e6f25210edec8f5bc1cfc7114d9332d690f30fc1e49f47')

    depends_on('py-setuptools', type='build')
